System requirements

Sorry to ask such a basic question, but could you please clarify what the system requirements are for the CellProfiler 2.0 software?
I am trying to run the software on an old mac (v10.4) and not too much is happening. Before I move to a less convenient but somewhat newer computer (mac or PC), what does it need to run?
Thank you.

Hi,

For using CP 2.0 (the current release), if you search for “tiger” using the tool on the upper-right of the webpage, you can find some previous posts in which others have run into issues with installing/running.

For our upcoming CP 2.1 release, we have decided to discontinue support for 10.5 and below. The minimum system version on the Mac will be 10.6.8.

Regards,
-Mark